Bug 132087 - [PATCH] Enable pthread in polish/libgadu to fix crash in Kopete
Summary: [PATCH] Enable pthread in polish/libgadu to fix crash in Kopete
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-25 04:40 UTC by freebsd
Modified: 2009-03-15 20:13 UTC (History)
0 users

See Also:


Attachments
file.diff (476 bytes, patch)
2009-02-25 04:40 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2009-02-25 04:40:01 UTC
KDE4's Kopete uses polish/libgadu to implement the Gadu-Gadu protocol and expects this library to be compiled with pthread support.

Without pthread support, libgadu calls fork() to start a resolver thread that then calls exit() when done. Kopete does not expect exit() to be called from a child and attempts to shut down the entire application, leading to a crash. With pthread enabled, the exit() is avoided and no crash occurs.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: Run KDE4's Kopete, connect using the Gadu-Gadu protocol => KCrash pops up a dialog box informing that an instance of Kopete has crashed.
Comment 1 Edwin Groothuis freebsd_committer 2009-02-25 04:40:11 UTC
Maintainer of polish/libgadu,

Please note that PR ports/132087 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132087

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-25 04:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mwisnicki+freebsd 2009-03-01 16:27:06 UTC
On Wed, Feb 25, 2009 at 13:40, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of polish/libgadu,
>
> Please note that PR ports/132087 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>

Agree. I will need this too for latest polish/kadu.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-03-02 00:50:36 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2009-03-09 13:20:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter service freebsd_committer 2009-03-15 19:52:27 UTC
makc        2009-03-15 19:52:19 UTC

  FreeBSD ports repository

  Modified files:
    polish/libgadu       Makefile 
  Log:
  Enable pthread to fix crash in Kopete
  
  PR:             132087
  Submitted by:   Bartosz Fabianowski <freebsd at chillt.de>
  Approved by:    Marcin Wisnicki (maintainer)
  
  Revision  Changes    Path
  1.13      +2 -1      ports/polish/libgadu/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2009-03-15 20:13:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!